#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92540fbf, "finish_wait" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb8024b36, "v4l2_fh_del" },
	{ 0xfa480113, "v4l2_fh_exit" },
	{ 0x35ff98bf, "v4l2_format_info" },
	{ 0x684bf6c9, "v4l2_fh_init" },
	{ 0x232ee4b7, "v4l2_fh_add" },
	{ 0x3fbd9189, "vmalloc_to_page" },
	{ 0xbfb5f144, "vm_insert_page" },
	{ 0xffca94db, "v4l2_event_pending" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7d11714, "_dev_warn" },
	{ 0x6f38cac3, "noop_llseek" },
	{ 0x2695f5f5, "nonseekable_open" },
	{ 0xeb4b169f, "v4l2_event_unsubscribe" },
	{ 0x20e2150d, "video_ioctl2" },
	{ 0x32da3c08, "param_ops_int" },
	{ 0xe9e97770, "param_array_ops" },
	{ 0x645687a7, "param_ops_bool" },
	{ 0x941a0421, "param_ops_charp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x807669a1, "v4l2_event_queue" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c681339, "const_pcpu_hot" },
	{ 0x92997ed8, "_printk" },
	{ 0x999e8297, "vfree" },
	{ 0x47ae116c, "device_remove_file" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5792f43, "video_unregister_device" },
	{ 0xbe1208d2, "v4l2_device_unregister" },
	{ 0x54b3b55a, "v4l2_ctrl_handler_free" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcc501597, "v4l2_fill_pixfmt" },
	{ 0x6e9acc41, "v4l2_fill_pixfmt_mp" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x31ea0e4, "v4l2_event_subscribe" },
	{ 0x631baa4, "v4l2_ctrl_subscribe_event" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd03467bd, "misc_deregister" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xd264da9d, "kmalloc_caches" },
	{ 0x3937b5a0, "__kmalloc_cache_noprof" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x52b607fd, "v4l2_device_register" },
	{ 0xf9bc4683, "video_device_alloc" },
	{ 0x8858d1e6, "video_device_release" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7bd3da55, "v4l2_ctrl_handler_init_class" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x5025f5f1, "v4l2_ctrl_new_custom" },
	{ 0xeb89e7eb, "v4l2_ctrl_handler_setup" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x24619523, "__video_register_device" },
	{ 0xf14c7a81, "device_create_file" },
	{ 0xa7f06f2c, "_dev_err" },
	{ 0x59a12816, "misc_register" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3d08e18d, "video_devdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x85d10bac, "module_layout" },
};

MODULE_INFO(depends, "videodev");


MODULE_INFO(srcversion, "E30E8FDD4885089C0FB5B2A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
